<?php
/*
	[Office 515158] (C) 2009-2012 天生创想 Inc.
	$Id: function_human.php 1209087 2012-01-08 08:58:28Z baiwei.jiang $
*/
!defined('IN_TOA') && exit('Access Denied!');
function GET_INC_TRAINING_RECOR_NAME($fid=0)
{
    global $db;
	$html='';
	$query = $db->query("SELECT name FROM ".DB_TABLEPRE.DB_JT."training where id='".$fid."'  ORDER BY id desc limit 0,1");
	while ($rowuser = $db->fetch_array($query)) {
		$html .= $rowuser[name];
	}
	return $html;
}
//人事管理
/****************************************************************
************人事管理**********************************************
****************************************************************/
//获取人事数据
function get_human_db($id=0,$name=''){
	global $db;
	$row = $db->fetch_one_array("SELECT inputvalue FROM ".DB_TABLEPRE.DB_JT."human_db where typeid='".$id."' and inputname='".$name."'  ORDER BY id Asc");
	return $row['inputvalue'];	
}
//获取表单值
function get_human_form_value($inputname='',$type1='',$name='inputvalue'){
	global $db;
	$row = $db->fetch_one_array("SELECT ".$name." FROM ".DB_TABLEPRE.DB_JT."human_form where type1='".$type1."' and inputname='".$inputname."'  ORDER BY id Asc");
	return $row[$name];	
}
//单选
function get_human_radio($name='',$radiovalue='',$value=''){
		$inputvaluenum=explode('|',$radiovalue); 
		for($i=0;$i<sizeof($inputvaluenum);$i++){
			$html.= '<input name="'.$name.'" type="radio" value="'.$inputvaluenum[$i].'" ';
			if($value==''){
				if($i=='0'){
					$html.= 'checked="checked"';
				}
			}else{
				if($value==$inputvaluenum[$i]){
					$html.= 'checked="checked"';
				}
			}
			$html.= '/>'.$inputvaluenum[$i].'';
		}
	return $html;
}
//多选
function get_human_checkbox($name='',$radiovalue='',$value=''){
		$inputvaluenum=explode('|',$radiovalue); 
		for($i=0;$i<sizeof($inputvaluenum);$i++){
			$html.= '<input name="'.$name.'" type="checkbox" value="'.$inputvaluenum[$i].'" ';
			if($value==''){
				if($i=='0'){
					$html.= 'checked="checked"';
				}
			}else{
				if($value==$inputvaluenum[$i]){
					$html.= 'checked="checked"';
				}
			}
			$html.= '/>'.$inputvaluenum[$i].'';
		}
	return $html;
}
//日期
function get_human_date($name='',$value=''){
	return '<input size="10" class="inputdate" style="width:150px;height:'.$h.'px;line-height:'.$h.'px;font-size:14px;margin-top:6px;" type="text" value="'.$value.'" name="'.$name.'" onClick="WdatePicker();" />';
}

//文本域
function get_human_input($name='',$w=300,$h=20,$value=''){
	return '<input type="text" name="'.$name.'" class="BigInput" style="width:'.$w.'px;height:'.$h.'px;line-height:'.$h.'px;font-size:14px;margin-top:6px;" value="'.$value.'" />';
}
//下拉框
function get_human_select($name='',$radiovalue='',$value=''){
	$inputvaluenum=explode('|',$radiovalue); 
	$html.='<select name="'.$name.'" id="'.$name.'">';
	$html.='<option value="" selected="selected">选择内容</option>';
	for($i=0;$i<sizeof($inputvaluenum);$i++){
		$html.='<option value="'.$inputvaluenum[$i].'"';
		if($value==$inputvaluenum[$i]){
			$html.= ' selected="selected"';
		}
		$html.='>'.$inputvaluenum[$i].'</option>';	
	}
	$html.='</select> ';
	return $html;
}
//文本框
function get_human_textarea($name='',$w,$h,$value=''){
	if($w=='' || $w=='0') $w='600';
	if($h=='' || $h=='0') $h='200';
	$_CONFIG=new config();
	if($_CONFIG->config_data('configwork')=='1'){
		$html.= '<textarea name="'.$name.'" id="'.$name.'" style="width:'.$w.'px;height:'.$h.'px;margin-top:6px;margin-bottom:6px;" class="ckeditor">'.$value.'</textarea>';
	}else{
		$html.= '<textarea name="'.$name.'" style="width:'.$w.'px;height:'.$h.'px;margin-top:6px;margin-bottom:6px;" class="span3">'.$value.'</textarea>';
	}
	return $html;
}

function attendance_date($date){
	if($date>=60){
		$_date=sprintf("%.2f",($date/60));
		$_date=explode('.',$_date);
		return $_date[0].'小时'.$_date[1].'分';
	}else{
		return $date.'分';
	}
}
?>